Packages - Packaging Request #1873

Packaging Request # 2164 (open): [iceweasel][iceweasel-addons] Provide /usr/lib/firefox symlink to drop iceweasel-specific extensions in favor of
ones from Arch

[firefox-extension-privacybadger] Requires blacklisted firefox
2018-07-04 04:22 PM - nRoof

Status: fixed % Done: 0%
Priority: broken

Assignee: oaken-source

Category:

Description

So it should either be removed, or replaced with liberated package for iceweasel.

| wonder if the alternative can be just to add provides=("firefox") to the PKGBUILD of iceweasel. Not sure though about negative
implications of this, and also if it's acceptable by Parabola standards for package name to mention the blacklisted package.

History

#1 - 2018-07-05 01:03 PM - bill-auger
- Priority changed from bug to broken
- Assignee set to oaken-source

- Tracker changed from Freedom Issue to Packaging Request

confirmed

$ sudo pacman -S firefox-extension-privacybadger

resolving dependencies...

warning: cannot resolve "firefox", a dependency of "firefox-extension-privacybadger"

:: The following package cannot be upgraded due to unresolvable dependencies:
firefox-extension-privacybadger

$ pacman -Sg firefox-addons
firefox-addons firefox-extension-privacybadger

seeing as this is in a group named 'firefox-addons' there will presumably be more add-ons added soon

the simplest solution is to make 'iceweasel' to provides('firefox’) or else all packages added to this group are going to need to be blacklisted or
re-packaged for no reason other than changing the package name

#2 - 2019-07-21 03:48 PM - bill-auger
- Related to Packaging Request #1899: HTTPS Everywhere added

#3 - 2019-07-21 03:50 PM - bill-auger

- Related to Packaging Request #2164: [iceweasel][iceweasel-addons] Provide /usr/lib/firefox symlink to drop iceweasel-specific extensions in favor of
ones from Arch added

#4 - 2022-04-23 09:01 PM - bill-auger
- Parent task set to #2164

- Status changed from open to fixed

was blacklisted in 2019 - forgot to close the ticket apparently

#5 - 2022-04-23 09:02 PM - bill-auger
- Related to deleted (Packaging Request #1899: HTTPS Everywhere)
